getNasVolumeAccessControlRuleList

Prev Next

Available in Classic

View the list of access control rules set on a NAS volume instance.

Requests

The following describes the request format for the endpoint. The request format is as follows.

Method URI
GET | POST /server/v2/getNasVolumeAccessControlRuleList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS APIs, see NAS request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
nasVolumeInstanceNo String Required NAS volume instance number for which you want to view access control rules

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/server/v2/getNasVolumeAccessControlRuleList
?nasVolumeInstanceNo=23420000' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Responses

The following describes the response format.

Response body

See NasVolumeAccessControlRuleList for the response body.

Response status codes

For information about the HTTP status codes common to all NAS APIs, see NAS response status codes.

Response example

The following is a sample response.

{
    "getNasVolumeAccessControlRuleListResponse": {
        "totalRows": 1,
        "nasVolumeAccessControlRuleList": [
            {
                "serverInstanceNo": "23500000",
                "readAccess": true,
                "writeAccess": true
            }
        ],
        "requestId": "0000c8ba-1309-4061-bce0-0c2ebb220000",
        "returnCode": "0",
        "returnMessage": "success"
    }
}